12.10 Install crash -/usr/lib/update-notifier/package-data-downloader", line 296, in <module> process_download_requests()

Bug #1051050 reported by Paul Clarke
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Incomplete
Undecided
Unassigned

Bug Description

Just install the latest a beta od 12.10 using a USB stick and the install crashed on completion of package down loading,
Disk has Windows XP and 12.04 on already and I chose to update 12.04 to 12.10.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: ubiquity 2.11.23 [modified: lib/partman/automatically_partition/question]
ProcVersionSignature: Ubuntu 3.5.0-11.11-generic 3.5.2
Uname: Linux 3.5.0-11-generic x86_64
ApportVersion: 2.5.1-0ubuntu2
Architecture: amd64
CasperVersion: 1.321
Date: Fri Sep 14 20:17:29 2012
InstallCmdLine: cdrom-detect/try-usb=true file=/cdrom/preseed/ubuntu.seed boot=casper only-ubiquity initrd=/casper/initrd.lz splash -- BOOT_IMAGE=/casper/vmlinuz
LiveMediaBuild: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120824)
ProcEnviron:
 LANGUAGE=en_GB.UTF-8
 TERM=linux
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
Paul Clarke (pclarke-4) wrote :
Revision history for this message
Sasa Paporovic (melchiaros) wrote :

In UbiquitySyslog.txt:

Sep 14 19:16:58 ubuntu ubiquity: warning: Schema 'org.yorba.shotwell.plugins' has path '/apps/shotwell/plugins/'. Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
Sep 14 19:16:58 ubuntu ubiquity: warning: Schema 'org.yorba.shotwell.plugins.enable-state' has path '/apps/shotwell/plugins/enable-state/'. Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
Sep 14 19:16:58 ubuntu ubiquity: Processing triggers for update-notifier-common ...
Sep 14 19:16:59 ubuntu ubiquity: Traceback (most recent call last):
Sep 14 19:16:59 ubuntu ubiquity: File "/usr/lib/update-notifier/package-data-downloader", line 296, in <module>
Sep 14 19:16:59 ubuntu ubiquity: process_download_requests()
Sep 14 19:16:59 ubuntu ubiquity: File "/usr/lib/update-notifier/package-data-downloader", line 212, in process_download_requests
Sep 14 19:16:59 ubuntu ubiquity: if para.has_key('script'):
Sep 14 19:16:59 ubuntu ubiquity: AttributeError: 'Deb822' object has no attribute 'has_key'
Sep 14 19:16:59 ubuntu ubiquity: dpkg: error processing update-notifier-common (--unpack):
Sep 14 19:16:59 ubuntu ubiquity: subprocess installed post-installation script returned error exit status 1
Sep 14 19:16:59 ubuntu ubiquity: Errors were encountered while processing:
Sep 14 19:16:59 ubuntu ubiquity: update-notifier-common
Sep 14 19:16:59 ubuntu ubiquity: Error in function:
Sep 14 19:16:59 ubuntu ubiquity:
Sep 14 19:16:59 ubuntu plugininstall.py: Exception during installation:
Sep 14 19:16:59 ubuntu plugininstall.py: SystemError: E:Sub-process /usr/bin/dpkg returned an error code (1)
Sep 14 19:16:59 ubuntu plugininstall.py:

Changed in ubiquity (Ubuntu):
status: New → Confirmed
Revision history for this message
Sasa Paporovic (melchiaros) wrote :

Hi Paul,

I have seen this shotwell think several times. You have a good chance that is it already fixed in the daily builds:

http://cdimage.ubuntu.com/daily-live/current/

Which has a much newer installation system that the beta.

When it is gone please close this as fixed. When it is still there please set the state of the report back to confirmed.

Changed in ubiquity (Ubuntu):
status: Confirmed → Incomplete
summary: - 12.10 Install crash
+ 12.10 Install crash -/usr/lib/update-notifier/package-data-downloader",
+ line 296, in <module> process_download_requests()
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers